Name:           systemd-coredump-python
Version:        3
Release:    1%{?dist}
Summary:        systemd-coredump helper to log Python exceptions

License:        GPLv2+
URL:            https://github.com/systemd/systemd-coredump-python
Source0:        https://github.com/systemd/systemd-coredump-python/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

BuildArch:      noarch

%global _description %{expand:
Python module which hooks into sys.excepthook to log backtraces in the journal.}

%description %_description

%package -n python3-systemd-coredump
Summary:        %{summary}
Conflicts:      systemd < 233

%description -n python3-systemd-coredump %_description

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install


%files -n python3-systemd-coredump
%license COPYING
%doc README
%{python3_sitelib}/systemd_coredump_exception_handler.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/systemd_coredump.pth
%{python3_sitelib}/systemd_coredump_python-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3-1
- initial build
